Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Asynch_Accept_Impl Class Reference

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Accept. More...

`#include <Asynch_IO_Impl.h>`

Inheritance diagram for ACE_Asynch_Accept_Impl:

[legend]
Collaboration diagram for ACE_Asynch_Accept_Impl:

[legend]
List of all members.

## Public Methods
virtual | ~ACE_Asynch_Accept_Impl (void)
virtual int | accept (ACE_Message_Block &message_block, size_t bytes_to_read, ACE_HANDLE accept_handle, const void *act, int priority, int signal_number)=0
## Protected Methods
| ACE_Asynch_Accept_Impl (void)
| Do-nothing constructor.

## Detailed Description

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Accept.

## Constructor & Destructor Documentation

ACE_Asynch_Accept_Impl::~ACE_Asynch_Accept_Impl | ( | void |  | ) | `[virtual]`

ACE_INLINE ACE_Asynch_Accept_Impl::ACE_Asynch_Accept_Impl | ( | void |  | ) | `[protected]`

| Do-nothing constructor.

## Member Function Documentation

virtual int ACE_Asynch_Accept_Impl::accept | ( | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_read,
|  | ACE_HANDLE | accept_handle,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number
| ) | `[pure virtual]`

| This starts off an asynchronous accept. The asynchronous accept call also allows any initial data to be returned to the <handler>. Upto <bytes_to_read> will be read and stored in the <message_block>. The <accept_handle> will be used for the <accept> call. If (<accept_handle> == INVALID_HANDLE), a new handle will be created. <message_block> must be specified. This is because the address of the new connection is placed at the end of this buffer. Implemented in ACE_POSIX_Asynch_Accept, and ACE_WIN32_Asynch_Accept.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Asynch_IO_Impl.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Asynch_IO_Impl.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Asynch_IO_Impl.i